%define anolis_release 2
%global pypi_name pyfakefs

Name:           python-%{pypi_name}
Version:        5.2.2
Release:        %{anolis_release}%{?dist}
Summary:        pyfakefs implements a fake file system that mocks the Python file system modules.
License:        Apache-2.0
URL:            http://pyfakefs.org
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  git-core python3-devel python3-setuptools

%description
pyfakefs implements a fake file system that mocks the Python file system
modules.
Using pyfakefs, your tests operate on a fake file system in memory without
touching the real disk. The software under test requires no modification to
work with pyfakefs.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-pytest >= 2.8.6

%description -n python3-%{pypi_name}
pyfakefs implements a fake file system that mocks the Python file system
modules.
Using pyfakefs, your tests operate on a fake file system in memory without
touching the real disk. The software under test requires no modification to
work with pyfakefs.

%package -n     python3-%{pypi_name}-doc
Summary:        Documentation files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -f {,test-}requirements.txt

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license COPYING
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info

%files -n python3-%{pypi_name}-doc
%doc README.md

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 5.2.2-2
- Rebuild with python3.11

* Fri May 05 2023 happy_orange <songnannan@linux.alibaba.com> - 5.2.2-1
- package init from upstream
